# Uses of Class
org.apache.sysds.runtime.controlprogram.paramserv.LocalParamServer

Packages that use LocalParamServer
Package
Description
org.apache.sysds.runtime.controlprogram.paramserv
org.apache.sysds.runtime.controlprogram.paramserv.rpc

## Uses of LocalParamServer in org.apache.sysds.runtime.controlprogram.paramserv

Subclasses of LocalParamServer in org.apache.sysds.runtime.controlprogram.paramserv
Modifier and Type
Class
Description
`class`
`HEParamServer`
This class implements Homomorphic Encryption (HE) for LocalParamServer.
Methods in org.apache.sysds.runtime.controlprogram.paramserv that return LocalParamServer
Modifier and Type
Method
Description
`static LocalParamServer`
LocalParamServer.`create(ListObject model, String aggFunc, Statement.PSUpdateType updateType, Statement.PSFrequency freq, ExecutionContext ec, int workerNum, String valFunc, int numBatchesPerEpoch, MatrixObject valFeatures, MatrixObject valLabels, int nbatches, boolean modelAvg, int numBackupWorkers)`

## Uses of LocalParamServer in org.apache.sysds.runtime.controlprogram.paramserv.rpc

Methods in org.apache.sysds.runtime.controlprogram.paramserv.rpc with parameters of type LocalParamServer
Modifier and Type
Method
Description
`static org.apache.spark.network.server.TransportServer`
PSRpcFactory.`createServer(org.apache.spark.SparkConf conf, LocalParamServer ps, String host)`
Create and start the server